> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Consume a lots

> Consume a lots

### Path parameters

<ParamField path="id" type="string" required>
  Lot ID
</ParamField>

### Request body

`ConsumeLotRequest`

<ParamField body="performed_by" type="string,null" />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="reference_id" type="string,null" />

<ParamField body="reference_type" type="string,null">
  Defaults to `api`.
</ParamField>

### Responses

<ResponseField name="200" type="LotTransactionResponse" />

<ResponseField name="400" type="ErrorBody" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/lots/{id}/consume' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "performed_by": null,
    "quantity": "string",
    "reference_id": null,
    "reference_type": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "string",
    "id": "string",
    "lot_id": "string",
    "quantity": "string",
    "reference_type": "string",
    "transaction_type": "string"
  }
  ```
</ResponseExample>
